lkml.org 
[lkml]   [2008]   [Oct]   [15]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
From
SubjectRe: [PATCH] ACPI suspend: Blacklist HP xw4600 Workstation for old code ordering
Date
On Wednesday, 15 of October 2008, Matthew Garrett wrote:
> On Tue, Oct 14, 2008 at 10:54:06PM +0200, Rafael J. Wysocki wrote:
> > From: Rafael J. Wysocki <rjw@sisk.pl>
> >
> > ACPI suspend: Blacklist HP xw4600 Workstation for old code ordering
> >
> > HP xw4600 Workstation is known to require the "old" (ie. compatible
> > with ACPI 1.0) suspend code ordering, so blacklist it for this
> > purpose.
>
> This doesn't seem to be scaling especially well. The xw4600 is a new
> machine, so if it needs the "old" code ordering then that's a strong
> indication that we're doing something wrong.

No, sorry.

> I think trying to work out what would be more useful than just adding it to
> a blacklist.

Well, machines that require the "old" ordering are simply broken, because
you just can't assume that specific devices are not in D3 before you
execute _PTS.

IOW, we aren't doing anything wrong and the BIOS is buggy.

Thanks,
Rafael


\
 
 \ /
  Last update: 2008-10-15 16:05    [from the cache]
©2003-2011 Jasper Spaans. Advertise on this site